> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beam.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get preferred models



## OpenAPI

````yaml get /custom-tool/preferred-models
openapi: 3.0.0
info:
  title: Public API
  description: Public endpoints to interact with agents and orchestrate tasks
  version: '1.0'
  contact: {}
servers:
  - url: https://api.beamstudio.ai
security: []
tags: []
paths:
  /custom-tool/preferred-models:
    get:
      tags:
        - Custom Tool
      operationId: CustomToolController_fetchPreferredModels
      parameters:
        - name: current-workspace-id
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GptModel'
      security:
        - x-api-key: []
components:
  schemas:
    GptModel:
      type: object
      properties:
        id:
          type: string
        modelName:
          type: string
        modelValue:
          type: string
        isDefault:
          type: boolean
        llmsGroupId:
          type: string
        creditsCost:
          type: number
        inputTokenPrice:
          type: number
        outputTokenPrice:
          type: number
        enableInChat:
          type: boolean
        isPremium:
          type: boolean
        llmsGroup:
          $ref: '#/components/schemas/LlmsGroup'
      required:
        - id
        - modelName
        - modelValue
        - isDefault
        - llmsGroupId
        - creditsCost
        - inputTokenPrice
        - outputTokenPrice
        - enableInChat
        - isPremium
        - llmsGroup
    LlmsGroup:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        icon:
          type: string
        isActive:
          type: boolean
        llmModels:
          type: array
          items:
            $ref: '#/components/schemas/GptModel'
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - name
        - description
        - icon
        - isActive
        - llmModels
        - createdAt
        - updatedAt
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````